/*
 * Copyright 2017 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.web.api;

import java.io.UnsupportedEncodingException;

import com.google.gson.Gson;

/**
 * Class JsonApiModule return objects serialized to JSON.
 */
public class JsonApiModule extends ApiModule {
	public String getContext() {
		return "jsonapi";
	}
	public String getMimeType() {
		return "application/json";
	}
	protected byte[] serialize(Object o) throws UnsupportedEncodingException {
		Gson gson = new Gson();
		return gson.toJson(o).getBytes("UTF-8");
	}
}
